## ngetty 0.4

=== Makefile ===
## next is statically build in ngetty-helper.  Do not change !!!
NGETTY_DIR = /etc/ngetty

DESTDIR		= /
prefix		= ${DESTDIR}
sbin_prefix	= ${prefix}/sbin
etc_prefix	= ${prefix}/etc
ngetty_prefix	= ${etc_prefix}/ngetty
usrbin_prefix	= ${prefix}/usr/bin
mandir		= ${prefix}/usr/share/man
man8dir		= ${mandir}/man8

### next are aditinal options for make install
# P = -o root -g root

CC = gcc
CFLAGS = -Wall -Os
LDFLAGS = -s
FLAG_DEBUG = no

ALL_EXEC = ngetty ngetty.tiny ngetty.sortpfd \
 ngetty-helper ngetty-helper.tiny ngetty-argv \
 cleanutmp dumputmp nwho
ALL_MAN = ngetty.8.gz ngetty-helper.8.gz ngetty-argv.8.gz

ifeq ($(FLAG_DEBUG),no)
CCC_ = @echo '	CC $< ' ;
CCL_ = @echo '	CL $<	-> $@ ' ;
C = @
else
CCC_ =
CCL_ =
C =
endif

CC_C = $(CC) $(CFLAGS)
CC_L = $(CC) $(CFLAGS) $(LDFLAGS)

CCC = $(CCC_) $(CC_C)
CCL = $(CCL_) $(CC_L)
STR = $(C) strip -R .comment -R .note

ifeq (${prefix},/)
prefix = 
endif

MYARCH:=$(shell uname -m | sed -e 's/i[4-9]86/i386/' -e 's/armv[3-6]t\?e\?[lb]/arm/')

ALL = $(ALL_EXEC) $(ALL_MAN)
all: $(ALL)

%.o: %.c lib.h all_defs.h sysinfo_defs.h boottime_defs.h
	$(CCC) -c $<

STR_O	= $(patsubst %.c,%.o,$(wildcard str_*.c s*mem.c out_*.c))
FMT_O	= $(patsubst %.c,%.o,$(wildcard fmt_*.c))
SCAN_O	= $(patsubst %.c,%.o,$(wildcard scan_*.c x_atoi.c))
DJB_O	= $(STR_O) $(SCAN_O) $(FMT_O)
UTMP_O	= $(patsubst %.c,%.o,$(wildcard *_io.c *_do.c *_devlog.c))
TIME_O	= $(patsubst %.c,%.o,$(wildcard *gmtime.c get_up*.c))
MISC_O	= $(patsubst %.c,%.o,$(wildcard first_*.c fork_*.c check_*))
ALL_O = $(UTMP_O) $(TIME_O) $(MISC_O)

opts_make: opts_make.c str_defs.h fmt_defs.h lib.a vhangup_defs.h lib.a
	$(CCL) -o $@ $< lib.a

all_defs.h: $(patsubst %.o,%.c,$(ALL_O)) tzmap.c ngetty-helper.c
	$(C) ./get_headers $@ -Gsys/stat.h -Gutmp.h -Gtime.h \
 -Lstr_defs.h -Lfmt_defs.h -Lscan_defs.h $^ > $@
fmt_defs.h: fmt_*.c
	$(C) ./get_headers $@ $^ > $@
scan_defs.h: scan_*.c x_atoi.c const_io.c
	$(C) ./get_headers $@ $^ > $@
str_defs.h: str_*.c splitmem.c out_*.c const_io.c
	$(C) ./get_headers $@ $^ > $@
utmp_defs.h: utmp_do.c
	$(C) sed -n -e '/EXTRACT_START/,/EXTRACT_END/p' $< > $@
opts_defs.h: opts_make
	./opts_make | sed -n -e '/ O[odmt]/p' > opts__defs.h
	./opts_make > $@

sysinfo_defs.h: trysysinfo.c
	$(C) ( ( rm -f $@Z; $(CC_L) -o $@Z $< && ./$@Z ) > /dev/null 2>&1 \
	&& echo '#define HAVE_SYSTEM_SYSINFO' || true ) > $@
	$(C) rm -f $@Z; cat $@
boottime_defs.h: tryboottime.c
	$(C) ( ( rm -f $@Z; $(CC_L) -o $@Z $< && ./$@Z ) > /dev/null 2>&1 \
	&& echo '#define HAVE_SYSTEM_BOOTTIME' || true ) > $@
	$(C) rm -f $@Z; cat $@
vhangup_defs.h: tryvhangup.c
	$(C) ( ( rm -f $@Z; $(CC_L) -o $@Z $< ) > /dev/null 2>&1 && \
	echo '#define HAVE_SYSTEM_VHANGUP' || true ) > $@
	$(C) rm -f $@Z; cat $@

lib.a: $(patsubst fmt_time.o,,$(DJB_O)) $(ALL_O)
	ar cr lib.a $^
tzmap.a: tzmap.o fmt_time.o
	ar cr $@ $^
tzmap_mmap.a: tzmap_mmap.o
	ar cr $@ $^


ngetty_h = all_defs.h sortpfd.h sig_action.h
ngetty-helper_h = tzmap.a opts_defs.h lib.a

diet_flags = -isystem /opt/diet/include -D__dietlibc__ \
 -Os -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 \
 -falign-loops=1 -fomit-frame-pointer -DNGETTY_TINY -DNGETTY_$(MYARCH)

system-$(MYARCH).o: system-$(MYARCH).S
	$(CCC_) $(CC) $(diet_flags) -c $<
ngetty.$(MYARCH): ngetty.c  $(ngetty_h) system-$(MYARCH).o
	$(CCL_) $(CC) -nostdlib $(diet_flags) system-$(MYARCH).o \
 -s -Wl,-N -o $@ $<
	$(STR) $@

ngetty: ngetty.c $(ngetty_h)
	$(C) uname -a || true
	$(C) echo "ARCH = $(MYARCH)"; echo "CC = $(CC)"; \
 echo "CFLAGS = $(CFLAGS)"; echo "LDFLAGS = $(LDFLAGS)"; 
	$(CCL) -DNGETTY_SELFPIPE -o $@ $<
	$(STR) $@

ngetty.sortpfd: ngetty.c $(ngetty_h)
	$(CCL) -DNGETTY_SELFPIPE -DNGETTY_SORT -o $@ $<
	$(STR) $@
ngetty.tiny: ngetty.c $(ngetty_h)
	$(CCL) -DNGETTY_TINY -o $@ $<
	$(STR) $@
ngetty-helper: ngetty-helper.c $(ngetty-helper_h)
	$(CCL) -DNGETTY_HOME=\"$(NGETTY_DIR)\" -o $@ $< lib.a tzmap.a
	$(STR) $@
ngetty-helper.tiny: ngetty-helper.c $(ngetty-helper_h)
	$(CCL) -DNGETTY_HOME=\"$(NGETTY_DIR)\" -DDONT_NEED_ESC_TIME -DDONT_NEED_ESC_USERS -o $@ $< lib.a
	$(STR) $@

%: %.c
	$(CCL) -o $@ $^
	$(STR) $@

tzmap_mmap.c: tzmap.c
	$(C) ( echo '#define TZ_MMAP'; echo '#include "tzmap.c"' ) > $@

all_defs.h:	str_defs.h scan_defs.h fmt_defs.h utmp_defs.h
cleanutmp:	lib.a
ngetty-argv:	lib.a
dumputmp:	tzmap_mmap.a lib.a
nwho:		tzmap_mmap.a lib.a

str_%.o:	str_defs.h splitmem.c
fmt_%.o:	fmt_defs.h
scan_%.o:	scan_defs.h
fmt_time.o:	opts_defs.h
tzmap.o:	opts_defs.h

ngetty.8.gz: ngetty.8
	gzip -9 < $< > $@
ngetty-%.8.gz:
	$(C) echo '.so ngetty.8' | gzip -9 > $@

install_other: $(ALL)
	install -m 755 $(P) -d $(usrbin_prefix)
	install -m 755 $(P) nwho dumputmp $(usrbin_prefix)
	install -m 2711 -o root -g utmp cleanutmp $(usrbin_prefix) || \
	  install -m 755 $(P) cleanutmp $(usrbin_prefix)
	install -m 755 $(P) ngetty.sortpfd ngetty.tiny ngetty-helper.tiny $(sbin_prefix)

install: $(ALL)
	install -m 755 $(P) -d $(sbin_prefix)
	install -m 755 $(P) -d $(etc_prefix)
	install -m 700 $(P) -d $(ngetty_prefix)
	install -m 755 $(P) -d $(man8dir)
	install -m 755 $(P) ngetty ngetty-helper ngetty-argv $(sbin_prefix)
	install -m 644 $(P) ngetty.8.gz ngetty-*.8.gz $(man8dir)
	install -m 600 $(P) sample.Conf $(ngetty_prefix)
	install -m 755 $(P) contrib/setup $(ngetty_prefix)
	install -m 644 $(P) Version $(ngetty_prefix)
	test -f $(ngetty_prefix)/Conf || \
	  install -m 600 $(P) Conf $(ngetty_prefix)
	@echo 
	@echo '   If you want to install some additional programs do:'
	@echo '   make install_other'

clean:
	rm -f $(ALL) *.o *.a *.s *_defs.h *.hZ a.out tzmap_mmap.c \
 *.c.orig test-helper opts_make ngetty.$(MYARCH) sstrip.*
	rm -rf PACKAGE 
distclean:
	make clean
	rm -rf d dietlibc

withdiet:
	@echo '	Please, start:	make CC="diet -Os gcc"'
dietlibc/bin-$(MYARCH)/diet:
	cvs -d :pserver:cvs@cvs.fefe.de:/cvs -z9 co dietlibc
	cd dietlibc && make
dietbuild: dietlibc/bin-$(MYARCH)/diet
	DIETHOME=$(CURDIR)/dietlibc make CC="./$< -Os gcc -nostdinc"


AUTHORS_SITE = http://riemann.fmi.uni-sofia.bg
sstrip.bin: sstrip.c
	$(CCL) -o $@ $<
sstrip.c:
	rm -f $@
	wget -O $@ $(AUTHORS_SITE)/programs/$@
sstrip: $(ALL_EXEC) sstrip.bin
	./sstrip.bin $(ALL_EXEC) ngetty.$(MYARCH) || true

TAR=tar
TAR_OPT=
MY_NAME=$(notdir $(CURDIR))
tar: 
	cd .. && $(TAR) -cvzf $(MY_NAME).tar.gz $(TAR_OPT) \
 --owner=root --group=root --exclude $(MY_NAME)/dietlibc $(MY_NAME)
packit:
	( echo $(MY_NAME); date -u ) > Version
	make clean tar TAR=tar.f TAR_OPT=--sort
package:
	make all install install_other DESTDIR=PACKAGE P=
	install ngetty.$(MYARCH) PACKAGE/sbin || true
	install contrib/*install* PACKAGE
	cd PACKAGE && tar -cvzf /tmp/$(MY_NAME)-$(MYARCH).tar.gz \
 --owner=root --group=root *
rpm: $(MY_NAME).spec
	rpmbuild -ba --clean $<

## ngetty 1.0

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 	$(STR) $@
 
 ngetty: ngetty.c $(ngetty_h)
-	$(C) uname -a || true
+	$(C) $(CC) --version || true; uname -a || true
 	$(C) echo "ARCH = $(MYARCH)"; echo "CC = $(CC)"; \
  echo "CFLAGS = $(CFLAGS)"; echo "LDFLAGS = $(LDFLAGS)"; 
 	$(CCL) -DNGETTY_SELFPIPE -o $@ $<
@@ -153,8 +153,12 @@
 fmt_time.o:	opts_defs.h
 tzmap.o:	opts_defs.h
 
-ngetty.8.gz: ngetty.8
+ngetty.8.gz: ngetty.8 ngetty-helper dumputmp ngetty-argv
 	gzip -9 < $< > $@
+	$(C) ls -la /var/run/utmp* /dev/tty1 /dev/vc/1 2>/dev/null || true
+	./dumputmp < /var/run/utmp | head || true
+	date '+%nCurrent time:  %Y-%m-%d %T	%Z %z'
+	./ngetty-argv :-N:-a1:./ngetty-helper::TestTime || true
 ngetty-%.8.gz:
 	$(C) echo '.so ngetty.8' | gzip -9 > $@
 
@@ -210,9 +214,12 @@
 TAR=tar
 TAR_OPT=
 MY_NAME=$(notdir $(CURDIR))
+GZIP_PR = 7za a -tgzip -si -so -bd Z
+
 tar: 
-	cd .. && $(TAR) -cvzf $(MY_NAME).tar.gz $(TAR_OPT) \
- --owner=root --group=root --exclude $(MY_NAME)/dietlibc $(MY_NAME)
+	cd .. && $(TAR) -cv $(TAR_OPT) \
+ --owner=root --group=root --exclude $(MY_NAME)/dietlibc $(MY_NAME) | \
+$(GZIP_PR) > $(MY_NAME).tar.gz
 packit:
 	( echo $(MY_NAME); date -u ) > Version
 	make clean tar TAR=tar.f TAR_OPT=--sort

## ngetty 1.1

=== Makefile ===
--- 
+++ 
@@ -49,14 +49,14 @@
 ALL = $(ALL_EXEC) $(ALL_MAN)
 all: $(ALL)
 
-%.o: %.c lib.h all_defs.h sysinfo_defs.h boottime_defs.h
+%.o: %.c lib.h utmp_struct.h all_defs.h sysinfo_defs.h boottime_defs.h
 	$(CCC) -c $<
 
 STR_O	= $(patsubst %.c,%.o,$(wildcard str_*.c s*mem.c out_*.c))
 FMT_O	= $(patsubst %.c,%.o,$(wildcard fmt_*.c))
-SCAN_O	= $(patsubst %.c,%.o,$(wildcard scan_*.c x_atoi.c))
+SCAN_O	= $(patsubst %.c,%.o,$(wildcard x_atoi.c))
 DJB_O	= $(STR_O) $(SCAN_O) $(FMT_O)
-UTMP_O	= $(patsubst %.c,%.o,$(wildcard *_io.c *_do.c *_devlog.c))
+UTMP_O	= $(patsubst %.c,%.o,$(wildcard *_io.c *_do.c *_users.c *_devlog.c))
 TIME_O	= $(patsubst %.c,%.o,$(wildcard *gmtime.c get_up*.c))
 MISC_O	= $(patsubst %.c,%.o,$(wildcard first_*.c fork_*.c check_*))
 ALL_O = $(UTMP_O) $(TIME_O) $(MISC_O)
@@ -65,11 +65,11 @@
 	$(CCL) -o $@ $< lib.a
 
 all_defs.h: $(patsubst %.o,%.c,$(ALL_O)) tzmap.c ngetty-helper.c
-	$(C) ./get_headers $@ -Gsys/stat.h -Gutmp.h -Gtime.h \
- -Lstr_defs.h -Lfmt_defs.h -Lscan_defs.h $^ > $@
+	$(C) ./get_headers $@ -Gsys/stat.h -Gtime.h \
+ -Lstr_defs.h -Lfmt_defs.h -Lscan_defs.h -Lutmp_struct.h $^ > $@
 fmt_defs.h: fmt_*.c
 	$(C) ./get_headers $@ $^ > $@
-scan_defs.h: scan_*.c x_atoi.c const_io.c
+scan_defs.h: x_atoi.c const_io.c
 	$(C) ./get_headers $@ $^ > $@
 str_defs.h: str_*.c splitmem.c out_*.c const_io.c
 	$(C) ./get_headers $@ $^ > $@
@@ -149,7 +149,6 @@
 
 str_%.o:	str_defs.h splitmem.c
 fmt_%.o:	fmt_defs.h
-scan_%.o:	scan_defs.h
 fmt_time.o:	opts_defs.h
 tzmap.o:	opts_defs.h
 
@@ -187,7 +186,7 @@
 
 clean:
 	rm -f $(ALL) *.o *.a *.s *_defs.h *.hZ a.out tzmap_mmap.c \
- *.c.orig test-helper opts_make ngetty.$(MYARCH) sstrip.*
+ *.c.orig test-helper opts_make ngetty.$(MYARCH) sstrip.* elf_print*
 	rm -rf PACKAGE 
 distclean:
 	make clean
@@ -204,7 +203,10 @@
 
 AUTHORS_SITE = http://riemann.fmi.uni-sofia.bg
 sstrip.bin: sstrip.c
-	$(CCL) -o $@ $<
+	$(CCL) -DNV_PRINT_ELF_HEADER -o elf_print $^
+	./elf_print < elf_print > elf_defs.h
+	$(CCL) -o $@ $^
+	rm -f elf_print*
 sstrip.c:
 	rm -f $@
 	wget -O $@ $(AUTHORS_SITE)/programs/$@

=== debian/changelog ===
ngetty (1.1-9) unstable; urgency=medium

  * QA upload.
  * debian/rules: added a 'echo' line to ignore false positives from blhc.
    (Closes: #962990)
  * debian/salsa-ci.yml: removed no longer needed instruction to allow failures
    from blhc.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Aug 2020 00:05:45 -0300

ngetty (1.1-8) unstable; urgency=medium

  * QA upload.

  [ Sophie Brun ]
  * Add needs-root restriction to second autopkgtest too as it was failing
    with the qemu backend in kali's autopkgtest.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 25 Jun 2020 08:36:49 +0200

ngetty (1.1-7) unstable; urgency=medium

  * QA upload. (Closes: #904067)
  * debian/control:
      - Added ${shlibs:Depends} variable to Depends field.
      - Added VCS fields.
  * debian/dirs: useless. Removed.
  * debian/docs: removed CHANGES because dh_installchangelogs already detect it.
  * debian/patches/:
      - Added a numeric prefix to all patches.
      - Added patch 50_fix-gcc-hardening.patch to enable the GCC hardening.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
      - Removed no longer needed variable DH_OPTIONS.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 17 Jun 2020 06:42:25 -0300

ngetty (1.1-6) unstable; urgency=medium

  * QA upload.
  * debian/control: the Homepage field removed, address unavailable.
  * debian/copyright: migrated to Machine-readable 1.0 format.
  * debian/patches/010_fix-spelling-man.patch: added to fix a misspelling
    in manpage.
  * debian/rules: removed some trash and useless lines.
  * debian/tests/control: added restrictions to running correctly.
    (Closes: #961455)
  * debian/watch: created using a fake site to explain about the
    current status of the original upstream homepage.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Sun, 31 May 2020 08:25:31 -0300

ngetty (1.1-5) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: created to perform trivial CI tests.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 15 May 2020 13:44:14 -0300

ngetty (1.1-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #911035)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 11 May 2020 19:01:59 -0300

ngetty (1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild using a version of dietlibc that does not use vsyscall
    (Closes: #802185)
  * Add Built-Using relationship to dietlibc (Closes: #847579)
  * sig_action.h: Define _NSIG_WORDS if necessary (Closes: #829550)
  * ngetty-helper: Relax permissions check on Conf (Closes: #623264)
  * Remove explicit use of quilt, which is not needed in a 3.0 (quilt)
    format package
  * Move dietlibc from Build-Depends to Build-Depends-Arch, as is not
    needed when building the source package
  * Use debhelper compat level 10
    - Upstream changelog is only installed as changelog.gz, not also as
      CHANGES
  * debian/control: Update Standards-Version to 4.1.5
    - Set Rules-Requires-Root: no

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jul 2018 04:19:18 +0100

ngetty (1.1-3) unstable; urgency=low

  * debian/ngetty.lintian-overrides: Remove dot-slash for newer lintian.
  * debian/ngetty.init.sample: Rename (was: ngetty.init).
    It's just a sample now, it's better to change inittab in most cases.
  * debian/ngetty.examples: New.
  * debian/README.Debian: Add explanation (Closes: #614049).

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 24 Nov 2012 16:27:43 +0900

ngetty (1.1-2) unstable; urgency=low

  * debian/control (Depends): Add lsb-base.
  * debian/ngetty.init: New (Closes: #470802, #495765).
    Not use inittab.
    Thanks to Sheridan Hutchinson and Radovan Garabík.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 16 Feb 2011 14:18:47 +0900

ngetty (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/ngetty.lintian-overrides: Renamed from lintian.overrides.
  * debian/rules: Use dh.
  * debian/ngetty.manpages: New.
  * debian/source/format: New.
  * debian/control (Build-Depends): Require newer debhelper and quilt.
    (Standards-Version): Conform to 3.9.1.
    (Description): Mention the binary package is compiled with dietlibc.
    (Closes: #600991).  Thanks to Marco Bodrato.
  * debian/compat: Updated.
  * debian/patches/01_no_gz_manual_install.diff: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Feb 2011 17:31:28 +0900

ngetty (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #532558).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Feb 2010 11:52:11 +0900

ngetty (0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Conform to 3.8.0.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 01 Jul 2008 14:05:10 +0900

ngetty (0.3-3) unstable; urgency=low

  * debian/rules, debian/overrides, debian/control: Build with dietlibc.
    Patch from Julian Gilbey.  Closes: #470946.
  * CHANGES, Makefile, README, Version, all_defs.h, check_first.c,
    cleanutmp.c,do_utmp.c, get_headers, get_uptime.c, init.d/ngetty,
    lib.h, logname_isprint.h, ngetty-argv.c, ngetty-helper.c, ngetty.8,
    opts_do.c, sample.Conf, scan_number.h, scan_ulong.c, str_defs.h,
    test-helper.c, tryboottime.c, trysysinfo.c, tzmap.c, utmp_do.c,
    utmp_io.c, x_atoi.c: Incorporate upstream changes.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sun, 06 Apr 2008 15:25:33 +0900

ngetty (0.3-2) unstable; urgency=low

  * Incorporate upstream change of nwho.c to fix FTBFS on amd64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sun, 02 Mar 2008 21:45:55 +0900



=== debian/control ===
Source: ngetty
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dietlibc-dev (>= 0.34~cvs20160209.1)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/ngetty
Vcs-Git: https://salsa.debian.org/debian/ngetty.git

Package: ngetty
Architecture: any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${ngetty:Built-Using}
Description: getty replacement - one single daemon for all consoles
 Ngetty is a daemon that starts login sessions on virtual console
 terminals, on demand.  It is a good replacement for all those getty
 processes started from init that, most of the time, are only taking
 up memory.  Since it is compiled statically with dietlibc, the ngetty
 binary size is only about 2k and uses considerably less memory than a
 usual getty implementations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all$

%:
	dh $@

override_dh_auto_build:
	@echo 'blhc: ignore-line-regexp: .*diet\ -Os\ gcc\ -W.*'
	$(MAKE) CC='diet -Os gcc -W'

override_dh_gencontrol:
	echo >> debian/ngetty.substvars "ngetty:Built-Using=$$(dpkg-query -W -f '$${source:Package} (= $${source:Version})' dietlibc-dev)"
	dh_gencontrol

=== debian/tests/control ===
Test-Command: ngetty-helper --version | grep version
Restrictions: needs-root, superficial

Test-Command: xvfb-run -a ngetty &
Depends: @, xauth, xvfb
Restrictions: needs-root, superficial
